.\"	$NetBSD: isspace.3,v 1.13 2007/01/18 08:35:07 rillig Exp $
.\"
.\" Copyright (c) 1991 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the American National Standards Committee X3, on Information
.\" Processing Systems.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)isspace.3	5.3 (Berkeley) 7/31/91
.\"
.Dd April 17, 2008
.Dt ISSPACE 3
.Os
.Sh NAME
.Nm isspace
.Nd white-space character test
.Sh LIBRARY
.Lb libc
.Sh SYNOPSIS
.In ctype.h
.Ft int
.Fn isspace "int c"
.Sh DESCRIPTION
The
.Fn isspace
function tests for the standard white-space characters
.\" or for any
.\" of an implementation-defined set of characters
for which
.Xr isalnum 3
is false.
The standard white-space characters are the following:
.Pp
.Bl -tag -width xxxxx -offset indent -compact
.It Sq \0
Space character.
.It Li \ef
Form feed.
.It Li \en
New-line.
.It Li \er
Carriage return.
.It Li \et
Horizontal tab.
.It Li \ev
And vertical tab.
.El
.Pp
In the
.Em ``C''
locale,
.Fn isspace
returns true only for the standard white-space characters.
.Sh RETURN VALUES
The
.Fn isspace
function returns zero if the character tests false and
returns non-zero if the character tests true.
.Sh SEE ALSO
.Xr ctype 3 ,
.Xr isalnum 3 ,
.Xr isalpha 3 ,
.Xr isascii 3 ,
.Xr isblank 3 ,
.Xr iscntrl 3 ,
.Xr isdigit 3 ,
.Xr isgraph 3 ,
.Xr islower 3 ,
.Xr isprint 3 ,
.Xr ispunct 3 ,
.Xr isupper 3 ,
.Xr isxdigit 3 ,
.Xr stdio 3 ,
.Xr toascii 3 ,
.Xr tolower 3 ,
.Xr toupper 3 ,
.Xr ascii 7
.Sh STANDARDS
The
.Fn isspace
function conforms to
.St -ansiC .
.Sh CAVEATS
The argument to
.Fn isspace
must be
.Dv EOF
or representable as an
.Vt unsigned char ;
otherwise, the behavior is undefined.
See the
.Sx CAVEATS
section of
.Xr ctype 3
for more details.
